<?
/*
=============================================
Движок:  SHCMS Engine
=============================================
Название файла: Комментарии к Новостям
=============================================
Official website: http://shcms.ru
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
    if($_GET['id'])
	{
	    $id=$_GET['id'];
	}
        $news = mysql_fetch_array(mysql_query("SELECT * FROM `uncos` WHERE `id`='$id'"));
        $news_rows = mysql_query("SELECT * FROM `uncos` WHERE `id` = '$id'");
		
$shcmsengine['title'] = 'Комментарии: '.$news['title'].''; 
include_once'../template/head.php';

    if($news['komm'] == 1)
    {
	    errors('Запрещено добавление комментарий к данной новости.');
        include_once'../template/foot.php';
        exit();
	}
    if($_POST['submit'])
    {
		$submit = $_POST['submit'];
	}
    if(isset($submit))
    {
	    if($_POST['text'])
        {
		    $text = $_POST['text'];
		}

            if(empty($text))
            {
			    echo '<div class="errors">Введите текст комментарии</div>';
                header("Refresh: 1; url=?id=$id");
                include_once'../template/foot.php';
                exit;
			}


            $comm = mysql_query("INSERT INTO `uncos_comment` (`user_id`,`id_uncos`,`time`,`text`) VALUES ('$user_id','$id','".time()."','$text')");
        if($comm == true)
	    {
            echo '<div class="actshcms">Комментария успешно добавлена</div>';
            header("Refresh: 1; url=?id=$id");
            include_once'../template/foot.php';
            exit;
		}
        else
        {
            echo '<div class="actshcms">Возникла ошибка при добавлении комментарии</div>';
            header("Refresh: 1; url=?id=$id");
            include_once'../template/foot.php';
            exit;
        }

    }
    else
    {
        if($user_id)
		{
            echo '<strong>Текст комментария:</strong><br/>';
                
				if($brodilka == "web")
                {
					   echo '<div class="border_message">';
                    $text_list->text_lister();
				}
            echo '<form action="?id='.$id.'" method="post" name="form">';
            echo '<textarea name="text"></textarea><br/>';
           $form->textarea();
		   echo '<br/>';
		}
    }
	
    $allfield = mysql_result(mysql_query("SELECT COUNT(*) FROM `uncos_comment` WHERE `id_uncos`='$id'"),0);
    $newlist = new Navigation($allfield,10,true); 
    $where_comm = mysql_query("SELECT * FROM `uncos_comment` WHERE `id_uncos`='$id' ORDER BY `id` DESC ". $newlist->limit()."");
    if(mysql_num_rows($where_comm) > 0)
    {
        while($whire_comm = mysql_fetch_array($where_comm))
        {
            $users = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '$whire_comm[user_id]'"));
            echo '<div class="maintitle">';
			users_profile($users['id']);
            list_users($users_id);
			
            echo '<span class="maintime">'.$timedate->times($whire_comm['time']).'</span></div>';
            echo '<div class="maintext">'.processing($whire_comm['text']).'';
			if($user4['team'] == 6){
			    echo '<span style="float:right">
			    <a href="delete.php?id='.$whire_comm['id'].'">Удалить</a></span>';
			}
			echo '</div>';
        }
		
            echo '<div class="pages">';
            echo $newlist->pagination('id='.$id.'');
            echo '</div>';
    }
    else
    {
        echo '<div class="posts">Комментарии не добавлены</div>';
    }
	
include_once'../template/foot.php';
?>